/**
 ****************************************************************************************
 *
 * @file app_led_switch.h
 *
 * @brief LED Switch Application Module Entry point
 *
 * Copyright (C) RivieraWaves 2009-2015
 *
 *
 ****************************************************************************************
 */

#ifndef APP_LED_SWITCH_H_
#define APP_LED_SWITCH_H_

/**
 ****************************************************************************************
 * @addtogroup APP
 *
 * @brief LED Switch Application Module Entry point.
 *
 * @{
 ****************************************************************************************
 */

/*
 * INCLUDE FILES
 ****************************************************************************************
 */

#include "rwip_config.h"     // SW Configuration

#include <stdint.h>
#include <string.h>

/*
 * DEFINES
 ****************************************************************************************
 */

/// LED Switch attributes
#define APP_LED_SWITCH_LEN               (1)
#define APP_LED_SWITCH_FEATURES          (LED_SWITCH_ALL_FEAT_SUP)

/*
 * GLOBAL VARIABLES DECLARATION
 ****************************************************************************************
 */

/// Table of message handlers
extern const struct ke_state_handler app_led_switch_table_handler;

/*
 * GLOBAL FUNCTIONS DECLARATION
 ****************************************************************************************
 */

/**
 ****************************************************************************************
 * @brief Initialize LED Switch Service Application
 ****************************************************************************************
 */
void app_led_switch_init(void);

/**
 ****************************************************************************************
 * @brief Add a LED Switch Service instance in the DB
 ****************************************************************************************
 */
void app_led_switch_add_switches(void);

/**
 ****************************************************************************************
 * @brief Enable the LED Switch Service
 ****************************************************************************************
 */
void app_led_switch_enable_prf(uint16_t conhdl);

/// @} APP

#endif //APP_LED_SWITCH_H_
